AfterStep1.5pre7 questions

Daniel Clausen (cld@europay.telekurs.com)
Wed, 12 Aug 1998 17:21:36 +0200


Hi,

I'm sorry when I mail directly to you and not the the mailing-list. I
tried the mailing-list but for some reason my mail didn't make its way.

I downloaded Afterstep1.5pre7 and both recommended patches and I have
some questions. :)

1. I don't seem to be able to use the patch-files. I used GNUPatch2.5
   and get the following error msg:

      can't find file to patch at input line 4

   Funny thing is that there's no file on line 4, but some lines
   with @@ in it. Is this maybe a special format for a patch file? I
   used to patch a lot in the past (laughs) but never saw this format.
   Is it maybe something Linux-specific? (I'm using an Alpha with OSF1)


2. I noticed that 'Imakefile.in' didn't find its way in the
   distribution.


3. I noticed that the XPMLIBRARY thingy can no longer be specified in
   'include/configure.h'. So I changed the define in the file
   './compilation.h'. But then I got tons of errors like

     Warning: Macro XPMLIBRARY redefined

   I dunno what I made wrong, but I'm aware I'm rather dumb when it
   comes to complicated Makefile-structures. :)


4. 'make' ran fine until it entered 'doc/afterstep'. There it stopped
   with:

     Don't know how to make all


5. I'm forced to install AfterStep as non-root. So I was rather glad I
   could specify install-dirs etc during the configure script. I
   noticed some problems with 'make install'. Half of the things were
   installed at the proper place, the other files produced
   'permission denied' errors, because they wanted to be installed in
   '/usr/local/'


I don't know if you are the right person to mail this. So if this is
not the case, please let me know.

Many thanks in advance.

 -sargon

-- 
 If it can't be expressed in figures, it is not science; it is opinion.
                                 -- Lazarus Long (Time Enough For Love)